CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   CD-adapco (http://www.cfd-online.com/Forums/cd-adapco/)
-   -   Setup on Redhat Linux 8.0 / OpenMotif Library (http://www.cfd-online.com/Forums/cd-adapco/53271-setup-redhat-linux-8-0-openmotif-library.html)

Steve Lewis March 31, 2003 17:25

Setup on Redhat Linux 8.0 / OpenMotif Library
 
I understand that Redhat Linux 8.0 uses a newer version of the OpenMotif libraries than what Prostar requires. What is the easiest way to setup a new machine with Redhat v8.0 for Prostar use? Can I just uninstall OpenMotif 2.2 and install OpenMotif 2.1? What other programs in Redhat will be affected by this? Can I get both versions to run concurrently? How?

cjtune March 31, 2003 23:25

Re: Setup on Redhat Linux 8.0 / OpenMotif Library
 
I just did a make, make install of the older OpenMotif 2.2.1 over 2.2.2 when I found out 2.2.2 wasn't compatible anymore.

To have both versions on your machine (installed from tarballs) I guess you'll need to know how to modify the makefiles to change the default installation directories and to those paths to ld.so.conf (run ldconfig afterwards).

I don't use Red Hat so I can't say for certain what will be affected by downgrading your OpenMotif libraries. Most likely nothing, as all Gnome and KDE programs only need their Gtk and Qt libraries respectively. Try running a GUI programs from the terminal and you can get to see error messages about missing or wrong widgets, if any.


steve April 2, 2003 08:14

Re: Setup on Redhat Linux 8.0 / OpenMotif Library
 
I know people who have installed both 2.1 and whatever the RH8.0 default is at the same time with no problems. If you ask the support people at adapco, I think they may be able to tell you how to download Motif 2.1. There should not be any conflicts between the two.

cjtune April 3, 2003 09:20

Re: Setup on Redhat Linux 8.0 / OpenMotif Library
 
Either OM 2.2.1 overwrites 2.2.2, or they coexist. Either way I have not noticed any problems on Mandrake Linux 9.0.

I've heard of people having success with LessTif (which should come with almost all Linux distros), but not me...

Last I checked, only OpenMotif 2.2.2 is available for download... but I had OpenMotif 2.2.1 stashed away somewhere for safekeeping.


All times are GMT -4. The time now is 06:16.